> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pubrio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 企業エクスパンション詳細

> 単一企業の詳細なエクスパンションプロファイル（現在の段階、シグナル、市場でのプレゼンス、段階遷移の履歴）。単一市場、または全市場を集約して取得できます。



## OpenAPI

````yaml jp-openapi POST /expansions/companies/lookup
openapi: 3.0.0
info:
  description: >-
    Pubrio API
    はマーケット拡大インテリジェンスを提供します——企業の新市場参入を捉えるリアルタイムシグナルと、その基盤となる企業・人物データ。アカウントやコンタクトの検索・ルックアップ・エンリッチメントに加え、200+
    市場にわたる種別・日付付きの動きシグナルを購読できます。
  version: 1.0.0
  title: Pubrio OpenAPI
  termsOfService: https://pubrio.com/ja/terms-of-service
  contact:
    email: king.lai@pubrio.com
    name: King Lai
    url: https://pubrio.com/ja/get-in-touch
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.pubrio.com
security:
  - pubrio_api_key: []
tags:
  - name: Profile
    description: ワークスペースプロフィール情報と使用統計
  - name: Enrichment
    description: 詳細なB2Bデータで人物・企業レコードをエンリッチメント
  - name: Lookalike
    description: 指定した企業に類似する企業を検索
  - name: Search
    description: フィルターを使用して人物、企業、求人、ニュース、広告を検索
  - name: Lookup
    description: 特定の人物、企業、求人、ニュース、広告、テクノロジーの詳細情報を検索
  - name: LinkedIn
    description: LinkedInプロフィールURLから人物・企業データを検索
  - name: Redeem
    description: クレジットを消費して人物の連絡先情報をアンロック（単件・バッチ）
  - name: Channels
    description: アウトリーチチャネルテンプレートの管理（作成・更新・削除・一覧）
  - name: Monitor
    description: Webhook、統計、処理を含むデータモニターの作成と管理
  - name: Filters
    description: 検索パラメータで使用可能なフィルター値を取得（テクノロジー、地域、バーティカルなど）
  - name: API Keys
    description: APIキーのリクエストログと使用状況分析を表示
  - name: Insights
    description: 企業のシグナル集計インサイト(採用、ニュース、広告)。
  - name: Export
    description: 一括データエクスポート(クレジット消費)。
  - name: Expansion
    description: '企業の市場拡大インテリジェンス: シグナル、ステージ、市場、エクスポート。'
externalDocs:
  description: >-
    Pubrio API は、コンタクトおよびアカウント情報の検索・プレビュー・エンリッチメントに利用できます。Pubrio データベースは、豊富な B2B
    連絡先データとセールスインテリジェンスを提供します。
  url: https://docs.pubrio.com
paths:
  /expansions/companies/lookup:
    post:
      tags:
        - Expansion
      summary: 企業エクスパンション詳細
      description: >-
        単一企業の詳細なエクスパンションプロファイル（現在の段階、シグナル、市場でのプレゼンス、段階遷移の履歴）。単一市場、または全市場を集約して取得できます。
      operationId: expansions_company_lookup
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                country_code:
                  $ref: '#/components/schemas/expansion_country_code'
                is_all_markets:
                  $ref: '#/components/schemas/expansion_is_all_markets'
                signal_type:
                  type: string
                  enum:
                    - AD
                    - NEWS
                    - INFRA
                    - PARTNER
                    - EXEC
                    - OFFICE
                    - HIRE
                    - SCALE
                    - PRODUCT
                  example: EXEC
                  description: 返却するシグナルを単一のタイプに絞り込みます。
                query:
                  type: string
                  example: >-
                    We sell Employer-of-Record and local payroll; best-fit
                    buyers hire in a new market before setting up a legal
                    entity.
                  description: >-
                    自社が販売しているもの、またはこの企業を評価する際の理想的な買い手像を、自然な文章で記述します。AI の
                    `summary` の根拠としてのみ使用されます（`is_explain_match`
                    を参照）。企業検索とは異なり、ここではフィルター条件には解釈されません。
                is_explain_match:
                  type: boolean
                  example: true
                  description: >-
                    true かつ `query` を指定した場合、`summary` は現在のスコープ(選択した市場、または
                    `is_all_markets` が true のときは全ての海外市場)におけるこの企業の拡大活動を、あなたの
                    `query` に照らした 1 つの AI 要約として返します。企業の実シグナルに基づき `[n]` 引用付き。
                window_days:
                  type: integer
                  example: 90
                  default: 90
                  description: >-
                    任意。AI `summary` のフィードを区切るローリングウィンドウ(日数)。本パラメータと
                    `transitioned_dates` のいずれも指定しない場合は既定で **90**。ページネーションされる
                    `signals` リスト(全履歴)には影響しません。
                transitioned_dates:
                  type: array
                  items:
                    type: string
                    format: date
                  example:
                    - '2026-04-01'
                    - '2026-06-29'
                  description: >-
                    シグナル/遷移ウィンドウの ISO `[from, to]` 日付範囲です。`window_days`
                    の両方が指定された場合はこちらが優先されます。
                domain:
                  $ref: '#/components/schemas/domain'
                linkedin_url:
                  $ref: '#/components/schemas/company_linkedin_url'
                domain_search_id:
                  $ref: '#/components/schemas/domain_search_id'
                is_include_established:
                  $ref: '#/components/schemas/expansion_is_include_established'
                page:
                  $ref: '#/components/schemas/page'
                per_page:
                  $ref: '#/components/schemas/per_page'
                profile_id:
                  $ref: '#/components/schemas/profile_id'
              anyOf:
                - title: Domain Search ID
                  required:
                    - domain_search_id
                - title: ドメイン
                  required:
                    - domain
                - title: LinkedIn URL
                  required:
                    - linkedin_url
      responses:
        '200':
          description: 特定市場における企業の詳細です。
          content:
            application/json:
              schema:
                type: object
                properties:
                  metadata:
                    type: object
                  data: {}
              example:
                metadata:
                  filters:
                    domain_search_id: 550e8400-e29b-41d4-a716-446655440002
                    country_code: US
                  country_code_auto_picked: false
                  pagination:
                    page: 1
                    per_page: 25
                    total_entries: 12
                    total_pages: 1
                    total_display_pages: 1
                    is_timeout: false
                data:
                  domain_search_id: 550e8400-e29b-41d4-a716-446655440002
                  country_code: US
                  country_name: United States
                  stage_rank: 3
                  stage_name: Expanding
                  stage:
                    slug: expanding
                    expansion_score: 0.721
                    scope: entering_new_market
                    direction: advancing
                    freshness: fresh
                    signal_count: 5
                    first_signal_at: '2026-05-30T09:00:00.000Z'
                    latest_signal_at: '2026-06-20T14:00:00.000Z'
                    last_transition_at: '2026-06-15T09:30:00.000Z'
                signals:
                  - signal_type_slug: EXEC
                    signal_subtype_slug: country_manager
                    signal_strength_slug: high
                    polarity: expansion
                    event_date: '2026-06-20T14:00:00.000Z'
                    source_type: linkedin
                    display_label: Hired Regional VP for North America
                    evidence_url: https://linkedin.com/company/example-corp
                    source_published_at: '2026-06-20T14:00:00.000Z'
                    lead_time_days: 0
                presence:
                  - presence_type: office
                    presence_strength: high
                    address: 123 Market St, San Francisco, CA
                    known_since: '2026-03-15T00:00:00.000Z'
                timeline:
                  - stage_slug: expanding
                    transitioned_at: '2026-06-15T09:30:00.000Z'
                    transition_kind: advance
                other_markets:
                  - country_code: CA
                    stage_slug: committing
                    signal_count: 8
                    first_signal_at: '2026-04-10T00:00:00.000Z'
                    latest_signal_at: '2026-06-22T16:45:00.000Z'
                    last_transition_at: '2026-06-18T00:00:00.000Z'
components:
  schemas:
    expansion_country_code:
      type: string
      example: US
      description: >-
        ISO 3166-1
        alpha-2（cca2）国コードによるターゲット市場。省略すると、その企業の最もアクティブな単一市場が自動的に選択されます。すべての市場の市場横断ビューが必要な場合は
        `is_all_markets` を設定してください。
    expansion_is_all_markets:
      type: boolean
      example: false
      description: >-
        単一市場ではなく、1 回の呼び出しで企業の全市場にわたる拡大状況全体を返します。`true` の場合、`country_code`
        は無視され、本国市場を特定できる場合はシグナル集計から除外され、`data`
        は企業レベルのサマリー（主要段階、シグナル総数、期間、最高拡大スコア）になり、`markets_summary`
        にすべての市場が列挙されます。デフォルトは false です。
    domain:
      type: string
      example: pubrio.com
      description: >-
        企業ルックアップに使用する会社ドメインです。`www.pubrio.com` や `https://docs.pubrio.com/`
        のような値が指定された場合、自動的に `pubrio.com` に正規化されます。
    company_linkedin_url:
      type: string
      example: https://www.linkedin.com/company/pubrio
      description: >-
        企業の LinkedIn 公式ページを指す完全な URL です。値は `http` で始まり、`linkedin.com/company/`
        を含んでいる必要があります。
    domain_search_id:
      type: string
      format: uuid
      description: 企業検索系の処理を紐づけるための一意の識別子です。
    expansion_is_include_established:
      type: boolean
      example: false
      description: '`established` 段階（アクティブな拡大シグナルを持たない長期事業者）を含めます。デフォルトは false です。'
    page:
      type: integer
      example: 1
      description: 取得したい結果セットのページ番号です。
    per_page:
      type: integer
      example: 25
      description: 1 ページあたりに返される検索結果件数です。ページサイズを制限することで、レスポンス速度や API パフォーマンスの向上が期待できます。
    profile_id:
      type: integer
      description: >-
        オプション。リクエストを送信するチームを表す識別子です。API
        キーにワークスペース情報が既に含まれているため、このパラメータは必須ではなくなりました。指定した場合、検索結果が特定のチーム（ワークスペース）に紐づけられ、データ取得およびクレジット利用状況の追跡が可能になります。詳しくは、チーム関連の「ユーザー詳細」エンドポイントを参照してください。
  securitySchemes:
    pubrio_api_key:
      type: apiKey
      name: pubrio-api-key
      description: >-
        API で実行する操作内容と、その操作に付与された権限を識別するための一意の API トークンです。このトークンはダッシュボードの
        [設定](https://dashboard.pubrio.com/#/settings/) 画面から発行できます。
      in: header

````